!ifndef __TRANSLATION_NSH
!define __TRANSLATION_NSH

!ifdef _CUR_LANG
 !undef _CUR_LANG
!endif


; languages

!insertmacro MUI_LANGUAGE "english"
# !insertmacro MUI_LANGUAGE "example"

; strings
!define _CUR_LANG ${LANG_ENGLISH}

LicenseLangString LicenseFile ${_CUR_LANG} "${FileSource}\license.txt"
LangString LicenseScrollText ${_CUR_LANG} " "
#LangString LicenseScrollText ${_CUR_LANG} "${MUI_INNERTEXT_LICENSE_TOP}"
LangString WebsiteLabel ${_CUR_LANG} "Visit website"

LangString page_python_title ${_CUR_LANG} "Python Installation"
LangString page_python_subtitle ${_CUR_LANG} "Anuga requires Python 2.5 to be installed"
LangString page_python_install_label ${_CUR_LANG} "If you don't have python installed yet, you can install it by clicking the button below."
LangString page_python_install_button ${_CUR_LANG} "Install Python 2.5"
LangString page_python_browse_label ${_CUR_LANG} "Select your python root directory."
LangString page_python_browse_button ${_CUR_LANG} "Browse"
LangString page_python_browse_dialog_title ${_CUR_LANG} "Python Root"
LangString page_python_outro ${_CUR_LANG} "$(^ClickNext)"

LangString page_extensions_title ${_CUR_LANG} "Python Libs"
LangString page_extensions_subtitle ${_CUR_LANG} "Scientific Python and Numpy"
LangString page_extensions_intro ${_CUR_LANG} "Anuga requires some libraries to be installed."
LangString page_extensions_numpy_ok ${_CUR_LANG} "Numpy is installed!"
LangString page_extensions_scientific_ok ${_CUR_LANG} "ScientificPython is installed!"
LangString page_extensions_numpy_label_install ${_CUR_LANG} "Numpy will be installed!"
LangString page_extensions_scientific_label_install ${_CUR_LANG} "ScientificPython will be installed!"
LangString page_extensions_outro_next ${_CUR_LANG} "$(^ClickNext)"
LangString page_extensions_outro_install ${_CUR_LANG} "$(^ClickInstall)"

LangString page_mingw_title ${_CUR_LANG} "MinGW Compiler"
LangString page_mingw_subtitle ${_CUR_LANG} "Install C Compiler Suite"
LangString page_mingw_install_label ${_CUR_LANG} "If you don't have MinGW installed yet, you can install it by pressing the button below.$\r$\nThe MinGW Installer may need a running internet connection!"
LangString page_mingw_install_button ${_CUR_LANG} "Install MinGW"
LangString page_mingw_browse_label ${_CUR_LANG} "Select your MinGW root directory."
LangString page_mingw_browse_button ${_CUR_LANG} "Browse"
LangString page_mingw_browse_dialog_title ${_CUR_LANG} "MinGW Root"
LangString page_mingw_outro ${_CUR_LANG} "$(^ClickNext)"

LangString section_netcdf ${_CUR_LANG} "NetCDF Binaries (required)"
LangString section_anuga_install ${_CUR_LANG} "Anuga (required)"
LangString section_anuga_test ${_CUR_LANG} "Run Test Scripts"
LangString section_anuga_validate ${_CUR_LANG} "Run Validation Scripts"
LangString section_anuga_viewer ${_CUR_LANG} "Anuga Viewer"
LangString section_anuga_viewer_extension ${_CUR_LANG} "Register .sww files with Anuga Viewer"

LangString description_netcdf ${_CUR_LANG} "NetCDF Binaries (required)"
LangString description_anuga_install ${_CUR_LANG} "Anuga (required)"
LangString description_anuga_test ${_CUR_LANG} "Run Test Scripts"
LangString description_anuga_validate ${_CUR_LANG} "Run Validation Scripts"
LangString description_anuga_viewer ${_CUR_LANG} "Anuga Viewer"
LangString description_anuga_viewer_extension ${_CUR_LANG} "Register .sww files with Anuga Viewer"

!undef _CUR_LANG

; example block for other languages
# !define _CUR_LANG ${LANG_EXAMPLE}
# LangString example ${LANG_EXAMPLE} "Lorem ipsum"
# !undef _CUR_LANG

!endif # ndef( __TRANSLATION_NSH)
